function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from "react";
import { Platform, StyleSheet, Text, TouchableOpacity, View } from "react-native";
import { Checkbox } from 'react-native-paper';
function arePropsEqual(prevProps, nextProps) {
  return prevProps.value === nextProps.value && prevProps.text === nextProps.text;
}
export const CheckboxView = /*#__PURE__*/React.memo(_CheckboxView, arePropsEqual);
function _CheckboxView(props) {
  const {
    value,
    onValueChange,
    text,
    outermostParentViewStyle = defaultCheckboxViewStyles.mainView,
    checkboxParentViewStyle = defaultCheckboxViewStyles.checkboxView,
    textTouchableStyle,
    checkboxProps,
    textProps = {
      style: defaultCheckboxViewStyles.checkboxTextStyle,
      numberOfLines: 1,
      ellipsizeMode: "middle"
    }
  } = props;
  function customCheckboxValueTypeToRNPaperType(customCheckboxValueType) {
    return customCheckboxValueType === 'indeterminate' ? 'indeterminate' : customCheckboxValueType ? 'checked' : 'unchecked';
  }

  /**
   * This function modifies the change in value when the previous state was indeterminate.
   * If the prior value is 'indeterminate', it will mark the CheckBox as checked upon click.
   *
   * @param newValue This represents the updated CheckBox value after it's clicked.
   */
  function onValueChangeModifier() {
    // If the previous state was 'indeterminate', set checked to true
    if (value === 'indeterminate') onValueChange(true);else onValueChange(!value);
  }
  return /*#__PURE__*/React.createElement(View, {
    style: outermostParentViewStyle
  }, /*#__PURE__*/React.createElement(View, {
    style: checkboxParentViewStyle
  }, /*#__PURE__*/React.createElement(Checkbox.Android, _extends({}, checkboxProps, {
    status: customCheckboxValueTypeToRNPaperType(value),
    onPress: onValueChangeModifier
  }))), text ? /*#__PURE__*/React.createElement(TouchableOpacity, {
    style: textTouchableStyle,
    onPress: onValueChangeModifier
  }, /*#__PURE__*/React.createElement(Text, textProps, text)) : null);
}
export const defaultCheckboxViewStyles = StyleSheet.create({
  mainView: {
    alignSelf: 'center',
    alignItems: 'center',
    flexDirection: 'row',
    marginEnd: 10
  },
  checkboxView: {
    marginStart: 5,
    transform: [{
      scale: 1.2
    }]
  },
  checkboxTextStyle: {
    color: "black",
    marginTop: Platform.OS === 'android' ? 2 : undefined
  }
});
//# sourceMappingURL=CheckboxView.js.map